Arch IfcSpreadsheet/it: Difference between revisions

From FreeCAD Documentation
(Created page with "{{docnav/it|3 Viste da mesh|Mostra/Nascondi i sotto-componenti|Arch|IconL=Arch_3Views.svg |IconC=Workbench_Arch.sv...")
(Created page with "{{Arch Tools navi/it}}")
Line 36: Line 36:
{{docnav/it|[[Arch_3Views/it|3 Viste da mesh]]|[[Arch_ToggleSubs/it|Mostra/Nascondi i sotto-componenti]]|[[Arch_Module/it|Arch]]|IconL=Arch_3Views.svg |IconC=Workbench_Arch.svg |IconR=Arch_ToggleSubs.svg}}
{{docnav/it|[[Arch_3Views/it|3 Viste da mesh]]|[[Arch_ToggleSubs/it|Mostra/Nascondi i sotto-componenti]]|[[Arch_Module/it|Arch]]|IconL=Arch_3Views.svg |IconC=Workbench_Arch.svg |IconR=Arch_ToggleSubs.svg}}


{{Arch Tools navi}}
{{Arch Tools navi/it}}


{{Userdocnavi}}
{{Userdocnavi}}

Revision as of 08:06, 6 April 2019

Crea un foglio di calcolo Ifc

Posizione nel menu
Arch → Utilità → Crea un foglio di calcolo Ifc...
Ambiente
Arch
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno

Description

This tool creates a spreadsheet to store IFC properties of an object.

How to use

  1. Select an object.
  2. Go to Arch → Utilities → Create IFC spreadsheet.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

spreadsheet = makeIfcSpreadsheet(archobj=None)
  • Creates a spreadsheet object. Optionally an archobj can be given.

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

spreadsheet = Arch.makeIfcSpreadsheet(Wall)